from neuron import h,gui

# initialize to steady state
# executes after std run system's finitialize()

def ssinit():
  # these parameters depend on your model
  T0 = -1e3 # how far to jump back
  DUR = 1e2 # time allowed to reach steady state 
  DT = 0.025 # to restore h.dt if simulation uses var dt
  #
  h.t = T0 # jump back
  # if cvode is on, turn it off to do fixed dt
  tmp = h.cvode.active()
  if (tmp!=0):
    h.cvode.active(0)
    h.dt = DT # prevent crazy large h.dt
  while (h.t<T0+DUR): h.fadvance()
  #
  h.t = 0 # return to the present
  # restore cvode if necessary
  if (tmp!=0): h.cvode.active(1)
  if (h.cvode.active()):
    h.cvode.re_init()
  else:
    h.fcurrent()
  h.frecord_init()


fih = h.FInitializeHandler(ssinit)

# model specification
h.load_file('all.ses') # ball and stick model with exptl rig

