""" putsyn.py for somatic epsp as a function of synaptic location

       last modified 7/25/2018 RAM

   based on putsyn.hoc

       last modified 7/15/99 NTC
"""
from neuron import h
h.load_file('stdrun.hoc')

# define a global variable for the synapse location, set it to fake value
h('synloc = -1')


def putsyn(x):
	if not (0 <= x <= 1):
		raise Exception('location not in the range [0, 1]')

	# move the 0th AlphaSynapse to the segment that contains x
	h.AlphaSynapse[0].loc(x, sec=h.dend)
	synseg = h.AlphaSynapse[0].get_segment()
	# discover where it actually went (center of that segment)
	h.synloc = synseg.x
	h.run()
